import 'package:equatable/equatable.dart';

class Integration extends Equatable {
  final String? integrationName;

  const Integration({this.integrationName});

  factory Integration.fromJson(Map<String, dynamic> json) {
    return Integration(
      integrationName: json['integrationName'] as String?,
    );
  }

  Map<String, dynamic> toJson() {
    return {
      'integrationName': integrationName,
    };
  }

  Integration copyWith({
    String? integrationName,
  }) {
    return Integration(
      integrationName: integrationName ?? this.integrationName,
    );
  }

  @override
  bool get stringify => true;

  @override
  List<Object?> get props => [integrationName];
}
